unit frmKailleraUnt;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DXDraws, DXClass, StdCtrls, ExtCtrls;

Const
  Max_Chat = 10;

type
  TfrmKaillera = class(TDXForm)
    DXDraw1: TDXDraw;
    pnlChat: TPanel;
    lbChat: TListBox;
    edtChat: TEdit;
    Label1: TLabel;
    procedure edtChatKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmKaillera: TfrmKaillera;

implementation

Uses Base;

{$R *.DFM}

procedure TfrmKaillera.edtChatKeyPress(Sender: TObject; var Key: Char);
Var St: PChar;
begin
  If Key = #13 Then
  Begin
    St := StrAlloc(Length(edtChat.Text) + 1);
    StrPCopy(St,edtChat.Text);
    KailleraChatSend(St);
    StrDispose(St);
    edtChat.Text    := '';
    edtChat.Enabled := False;
  End;
end;

end.
